<?php
/**
 * Fichier gérant l'installation et désinstallation du plugin gis_plus
 *
 * @plugin     gis_plus
 * @copyright  2021
 * @author     Anne-lise Martenot
 * @licence    GPL v3
 * @package    SPIP\gis_plus\Installation
 */
 
if (!defined("_ECRIRE_INC_VERSION")){
	return;
}

include_spip('base/gis_plus_peupler_base');
include_spip('base/gis_plus_ajouter_logos');


function gis_plus_upgrade($nom_meta_base_version, $version_cible){

	$maj = array();
	
	$maj['create'] = array(
		array('peupler_base_gis_plus'),
		array('ajouter_logos_mots')
	);
				
	include_spip('base/upgrade');
	maj_plugin($nom_meta_base_version, $version_cible, $maj);
}

/**
* Fonction de désinstallation du plugin.
**/
function gis_plus_vider_tables($nom_meta_base_version) {

	// suppression des mots et du groupe
	
	sql_delete('spip_groupes_mots', "titre LIKE '%_marker_icon%'");
	sql_delete('spip_mots', "type LIKE '%_marker_icon%'");
	/**/

	effacer_meta($nom_meta_base_version);
}